///////////////////////////////////////////////////////////////////////
// f_reg_chrm_3_pkg_ctnt.xpi
//
// Dependency: Install Mozilla or Commercial build with /chrome folder.
// messenger.jar file should be contained in /chrome.
//
// Registers packages in messenger.jar file (containing manifest.rdf file) 
// using PACKAGE variable in registerChrome. Points to contents.rdf path
// /content/messenger. Should return 0 for registerChrome.
// Uses the 3-parameter form in regChrome().
//
// Note: This only verifies that regChrome() API passes with this
// permutation of parameter inputs. It doesn't confirm Chrome install.
//
// Created: 10/10/00.	David Epstein. Based upon f_reg_chrm_2_pkg_jar.xpi
//
//////////////////////////////////////////////////////////////////////

var regNode = "f_reg_chrm_3_pkg_ctnt";
var vi = "1.1.1.1";
var jarFile = "messenger.jar";

initInstall("functional: f_reg_chrm_3_pkg_ctnt", regNode, vi, 0);

f = getFolder("Chrome", jarFile);
logComment("returned getfolder = " + f);
err = registerChrome(PACKAGE, f, "content/messenger"); 
logComment("regChrome with content/messenger path should return 0 = " + err);

if (0 == getLastError())
   performInstall();
else
   cancelInstall();

